Browse Source

- rework init-scripts ...

* small format-fixes
* use aliases from /etc/init.d/gobals
* allow stop w/o flagfile
* add own init-scripts for tuxcald and tuxmaild
master
vanhofen 8 years ago
parent
commit
4ec4c76206
  1. 14
      archive-imagefiles/autofs/etc/init.d/autofs
  2. 3
      archive-imagefiles/lcd4linux/etc/init.d/extdisplay
  3. 5
      archive-imagefiles/lcd4linux/etc/init.d/lcd4linux
  4. 15
      archive-imagefiles/scripts/djmount.init
  5. 27
      archive-imagefiles/scripts/dropbear.init
  6. 24
      archive-imagefiles/scripts/inadyn.init
  7. 11
      archive-imagefiles/scripts/nfsd.init
  8. 32
      archive-imagefiles/scripts/samba3.init
  9. 20
      archive-imagefiles/scripts/tuxcald.init
  10. 21
      archive-imagefiles/scripts/tuxmaild.init
  11. 17
      archive-imagefiles/scripts/ushare.init
  12. 10
      archive-imagefiles/scripts/vsftpd.init
  13. 15
      archive-imagefiles/scripts/xupnpd.init
  14. 23
      archive-sources/FritzCallMonitor/fritzcallmonitor.init
  15. 23
      archive-sources/emmrd/emmrd.init
  16. 7
      archive-sources/openvpn-setup/etc/init.d/ovpn
  17. 4
      make/plugins.mk
  18. 8
      skel-root/coolstream/hd1/etc/ifplugd/ifplugd.action
  19. 11
      skel-root/coolstream/hd1/etc/init.d/crond
  20. 2
      skel-root/coolstream/hd1/etc/init.d/emu
  21. 2
      skel-root/coolstream/hd1/etc/init.d/fstab
  22. 5
      skel-root/coolstream/hd1/etc/init.d/hostname
  23. 5
      skel-root/coolstream/hd1/etc/init.d/inetd
  24. 17
      skel-root/coolstream/hd1/etc/init.d/networking
  25. 3
      skel-root/coolstream/hd1/etc/init.d/ntpdate
  26. 2
      skel-root/coolstream/hd1/etc/init.d/oscamfix
  27. 2
      skel-root/coolstream/hd1/etc/init.d/sdX
  28. 5
      skel-root/coolstream/hd1/etc/init.d/syslogd
  29. 2
      skel-root/coolstream/hd2/etc/init.d/coredump
  30. 11
      skel-root/coolstream/hd2/etc/init.d/crond
  31. 2
      skel-root/coolstream/hd2/etc/init.d/emu
  32. 2
      skel-root/coolstream/hd2/etc/init.d/fstab
  33. 5
      skel-root/coolstream/hd2/etc/init.d/hostname
  34. 5
      skel-root/coolstream/hd2/etc/init.d/inetd
  35. 13
      skel-root/coolstream/hd2/etc/init.d/networking
  36. 3
      skel-root/coolstream/hd2/etc/init.d/ntpdate
  37. 2
      skel-root/coolstream/hd2/etc/init.d/oscamfix
  38. 2
      skel-root/coolstream/hd2/etc/init.d/sdX
  39. 5
      skel-root/coolstream/hd2/etc/init.d/syslogd

14
archive-imagefiles/autofs/etc/init.d/autofs

@ -2,6 +2,8 @@
#
# simple autofs init script
. /etc/init.d/globals
uname_r() {
read dummy dummy uname dummy < /proc/version
echo $uname
@ -33,7 +35,7 @@ fi
# allow stopping the daemon even without a mapfile
if [ ! -e $MAPFILE -a "x$1" = "xstart" ]; then
# no config file => no need to do anything else
echo "automount: $MAPFILE does not exist, cannot start"
SHOWINFO "automount: $MAPFILE does not exist, cannot start"
exit 1;
fi
@ -45,7 +47,7 @@ while read line; do
done < $MAPFILE
if [ $ENTRYS = "0" -a "x$1" = "xstart" ]; then
# no entrys in config file => no need to do anything else
echo "automount: $MAPFILE is empty, cannot start"
SHOWINFO "automount: $MAPFILE is empty, cannot start"
exit 1;
fi
@ -62,7 +64,7 @@ fi
case $1 in
stop)
if [ -e $PIDFILE ]; then
echo "automount: stop"
SHOWINFO "stopping"
read PID < $PIDFILE && kill -TERM $PID
fi
;;
@ -84,7 +86,7 @@ case $1 in
# automount needs /var/lock or it will exit silently
[ -d /var/lock ] || mkdir -p /var/lock
echo "automount: start"
SHOWINFO "starting"
automount -p $PIDFILE $MAPFILE $OPTIONS
;;
restart)
@ -94,11 +96,11 @@ case $1 in
;;
reload)
if [ -e $PIDFILE ]; then
echo "automount: reload"
SHOWINFO "reloading"
read PID < $PIDFILE && kill -HUP $PID
fi
;;
*)
echo "usage: $0 [start|stop|restart|reload]"
echo "[$BASENAME] Usage: $0 {start|restart|reload|stop}"
;;
esac

3
archive-imagefiles/lcd4linux/etc/init.d/extdisplay

@ -84,5 +84,8 @@ for DEVICE in ${DEVICES}; do
break
fi
;;
*)
echo "[${BASENAME}] Usage: $0 {start|stop}"
;;
esac
done

5
archive-imagefiles/lcd4linux/etc/init.d/lcd4linux

@ -3,6 +3,8 @@
[ -x /bin/lcd4linux ] || exit 1
[ -e /tmp/.lcd-* ] || exit 1
. /etc/init.d/globals
configfile() {
read layout < /tmp/lcd/layout
test $layout = user && CONF_DIR=/var/etc || CONF_DIR=/etc
@ -58,7 +60,6 @@ case "$1" in
doStart
;;
*)
echo "[${0##*/}] Usage: $0 {start|stop|off|restart|reload}"
exit
echo "[${BASENAME}] Usage: $0 {start|stop|off|restart|reload}"
;;
esac

15
archive-imagefiles/scripts/djmount.init

@ -1,5 +1,7 @@
#!/bin/sh
. /etc/init.d/globals
case $1 in
start)
if [ -e /var/etc/.djmount ]; then
@ -7,16 +9,17 @@ case $1 in
test -d /media/upnp || mkdir /media/upnp
djmount -o iocharset=utf-8 /media/upnp 2>&1 > /dev/null
fi
;;
;;
stop)
if [ -e /var/etc/.djmount ]; then
fusermount -u /media/upnp
fi
;;
fusermount -u /media/upnp
;;
restart)
if [ -e /var/etc/.djmount ]; then
$0 stop
$0 start
fi
;;
;;
*)
echo "[${BASENAME}] Usage: $0 {start|restart|stop}"
;;
esac

27
archive-imagefiles/scripts/dropbear.init

@ -1,14 +1,14 @@
#!/bin/sh
test -e /var/etc/.dropbear || exit
. /etc/init.d/globals
ETCDIR=/etc/dropbear
genkeys() {
for keytype in dss rsa; do
keyfile=$ETCDIR/dropbear_${keytype}_host_key
test -e $keyfile && continue
/bin/dropbearkey -t $keytype -f $keyfile
keyfile=$ETCDIR/dropbear_${keytype}_host_key
test -e $keyfile && continue
/bin/dropbearkey -t $keytype -f $keyfile
done
}
@ -21,11 +21,18 @@ fixperms() {
}
case $1 in
start) genkeys
fixperms
/sbin/dropbear
;;
stop) pid=$(cat /var/run/dropbear.pid 2>/dev/null)
start)
if [ -e /var/etc/.dropbear ]; then
genkeys
fixperms
/sbin/dropbear
fi
;;
stop)
pid=$(cat /var/run/dropbear.pid 2>/dev/null)
test -n "$pid" && kill $pid || true
;;
;;
*)
echo "[${BASENAME}] Usage: $0 {start|stop}"
;;
esac

24
archive-imagefiles/scripts/inadyn.init

@ -1,18 +1,18 @@
#!/bin/sh
. /etc/init.d/globals
case $1 in
start)
if [ -e /var/etc/.inadyn ]; then
echo "starte inadyn..."
/sbin/inadyn
fi
start)
if [ -e /var/etc/.inadyn ]; then
/sbin/inadyn
fi
;;
stop)
pid=$(cat /var/run/inadyn.pid 2>/dev/null)
test -n "$pid" && kill $pid || true
;;
stop)
if [ -e /var/run/inadyn.pid ]; then
echo "stoppe inadyn..."
kill $( cat /var/run/inadyn.pid )
fi
*)
echo "[${BASENAME}] Usage: $0 {start|restart|stop}"
;;
esac
exit 0

11
archive-imagefiles/scripts/nfsd.init

@ -1,6 +1,6 @@
#!/bin/sh
#
# nfs This shell script takes care of starting and stopping the NFS services
. /etc/init.d/globals
start() {
# prepare filesystem
@ -53,9 +53,7 @@ case "$1" in
fi
;;
stop)
if [ -e /var/etc/.nfsd ]; then
stop
fi
stop
;;
restart)
if [ -e /var/etc/.nfsd ]; then
@ -71,5 +69,6 @@ case "$1" in
fi
;;
*)
echo "Usage: service nfsd {start|stop|reload}"
echo "[$BASENAME] Usage: $0 {start|restart|reload|stop}"
;;
esac

32
archive-imagefiles/scripts/samba3.init

@ -1,5 +1,7 @@
#!/bin/sh
. /etc/init.d/globals
SMB_CONF=/etc/samba/smb.conf
case "$1" in
@ -21,23 +23,19 @@ case "$1" in
fi
done
fi
;;
;;
stop)
if [ -e /var/etc/.samba ]; then
for i in nmbd smbd; do
printf "stopping $i ..."
if pidof $i > /dev/null; then
read pid < /var/run/${i}.pid
kill $pid && echo "done" || echo "failed!?"
else
echo "not running"
fi
done
fi
;;
for i in nmbd smbd; do
printf "stopping $i ..."
if pidof $i > /dev/null; then
read pid < /var/run/${i}.pid
kill $pid && echo "done" || echo "failed!?"
else
echo "not running"
fi
done
;;
*)
echo "usage: $0 <start|stop>"
;;
echo "[$BASENAME] Usage: $0 {start|stop}"
;;
esac
exit 0

20
archive-imagefiles/scripts/tuxcald.init

@ -0,0 +1,20 @@
#!/bin/sh
. /etc/init.d/globals
case $1 in
start)
if [ -e /var/etc/.tuxcald ]; then
SHOWINFO "starting ..."
/bin/tuxcald
fi
;;
stop)
SHOWINFO "stopping ..."
pid=$(cat /var/run/tuxcald.pid 2>/dev/null)
test -n "$pid" && kill $pid || true
;;
*)
echo "[$BASENAME] Usage: $0 {start|stop}"
;;
esac

21
archive-imagefiles/scripts/tuxmaild.init

@ -0,0 +1,21 @@
#!/bin/sh
. /etc/init.d/globals
case $1 in
start)
if [ -e /var/etc/.tuxmaild ]; then
SHOWINFO "starting ..."
/bin/tuxmaild
sleep 1
fi
;;
stop)
SHOWINFO "stopping ..."
pid=$(cat /var/run/tuxmail.pid 2>/dev/null)
test -n "$pid" && kill $pid || true
;;
*)
echo "[$BASENAME] Usage: $0 {start|stop}"
;;
esac

17
archive-imagefiles/scripts/ushare.init

@ -1,15 +1,18 @@
#!/bin/sh
. /etc/init.d/globals
case $1 in
start)
if [ -e /var/etc/.ushare ]; then
ushare -D -n "`hostname`"
ushare -D -n "$(hostname)"
fi
;;
;;
stop)
if [ -e /var/etc/.ushare ]; then
trap "" INT
kill -INT `pidof ushare`
fi
;;
trap "" INT
kill -INT $(pidof ushare)
;;
*)
echo "[$BASENAME] Usage: $0 {start|stop}"
;;
esac

10
archive-imagefiles/scripts/vsftpd.init

@ -1,12 +1,18 @@
#!/bin/sh
. /etc/init.d/globals
CONF=/etc/vsftpd.conf
case $1 in
start)
chown 0:0 $CONF
vsftpd $CONF
;;
;;
stop)
killall vsftpd
;;
;;
*)
echo "[$BASENAME] Usage: $0 {start|stop}"
;;
esac

15
archive-imagefiles/scripts/xupnpd.init

@ -1,5 +1,7 @@
#!/bin/sh
. /etc/init.d/globals
case $1 in
start)
if [ -e /var/etc/.xupnpd ]; then
@ -8,16 +10,17 @@ case $1 in
sleep 10 # FIXME; This is to workaround slow DHCP
/bin/xupnpd &
fi
;;
;;
stop)
if [ -e /var/etc/.xupnpd ]; then
killall xupnpd
fi
;;
killall xupnpd
;;
restart)
if [ -e /var/etc/.xupnpd ]; then
$0 stop
$0 start
fi
;;
;;
*)
echo "[$BASENAME] Usage: $0 {start|restart|stop}"
;;
esac

23
archive-sources/FritzCallMonitor/fritzcallmonitor.init

@ -1,18 +1,19 @@
#!/bin/sh
. /etc/init.d/globals
case $1 in
start)
if [ -e /var/etc/.fritzcallmonitor ]; then
echo "starte NI-FritzCallMonitor..."
/bin/FritzCallMonitor &
fi
start)
if [ -e /var/etc/.fritzcallmonitor ]; then
SHOWINFO "starting ..."
/bin/FritzCallMonitor &
fi
;;
stop)
if [ -e /var/etc/.fritzcallmonitor ]; then
echo "stoppe NI-FritzCallMonitor..."
stop)
SHOWINFO "stopping ..."
killall FritzCallMonitor
fi
;;
*)
echo "[${BASENAME}] Usage: $0 {start|stop}"
;;
esac
exit 0

23
archive-sources/emmrd/emmrd.init

@ -1,18 +1,19 @@
#!/bin/sh
. /etc/init.d/globals
case $1 in
start)
if [ -e /var/etc/.emmrd ]; then
echo "starte NI EMM-Reminder..."
/bin/emmrd /var/tuxbox/config/doscam.cfg /var/etc/.card &
fi
start)
if [ -e /var/etc/.emmrd ]; then
SHOWINFO "starting ..."
/bin/emmrd /var/tuxbox/config/doscam.cfg /var/etc/.card &
fi
;;
stop)
if [ -e /var/etc/.emmrd ]; then
echo "stoppe NI EMM-Reminder..."
stop)
SHOWINFO "stopping ..."
killall emmrd
fi
;;
*)
echo "[${BASENAME}] Usage: $0 {start|stop}"
;;
esac
exit 0

7
archive-sources/openvpn-setup/etc/init.d/ovpn

@ -1,5 +1,7 @@
#!/bin/sh
. /etc/init.d/globals
ip_forwarding() {
v=${1:-0}
echo ${v} > /proc/sys/net/ipv4/ip_forward
@ -17,7 +19,7 @@ case "$1" in
mode=${mode:-client}
if [ ! -e /var/etc/openvpn/${mode}.conf ]; then
echo "[OpenVPN] /var/etc/openvpn/${mode}.conf not found."
SHOWINFO "/var/etc/openvpn/${mode}.conf not found."
exit 1
fi
@ -39,4 +41,7 @@ case "$1" in
$0 stop
$0 start
;;
*)
echo "[${BASENAME}] Usage: $0 {start|restart|stop}"
;;
esac

4
make/plugins.mk

@ -268,7 +268,7 @@ tuxcal: $(SOURCE_DIR)/$(TUXBOX_PLUGINS) $(BIN)/tuxcald $(LIBPLUG)/tuxcal.so
$(BIN)/tuxcald: $(D)/freetype $(BIN) $(ETCINIT) $(VARCONF)
pushd $(SOURCE_DIR)/$(TUXBOX_PLUGINS)/tuxcal/daemon && \
$(TARGET)-gcc $(TARGET_CFLAGS) $(TARGET_LDFLAGS_RPATH) -I$(TARGETINCLUDE)/freetype2 -lpthread -lfreetype -lz $(CORTEX-STRINGS) -o $@ tuxcald.c && \
install -m755 tuxcald $(ETCINIT)/tuxcald && \
install -m755 $(IMAGEFILES)/scripts/tuxcald.init $(ETCINIT)/tuxcald && \
cd $(ETCINIT) && \
ln -sf tuxcald S99tuxcald && \
ln -sf tuxcald K01tuxcald && \
@ -295,7 +295,7 @@ tuxmail: $(SOURCE_DIR)/$(TUXBOX_PLUGINS) $(BIN)/tuxmaild $(LIBPLUG)/tuxmail.so
$(BIN)/tuxmaild: $(D)/freetype $(D)/openssl $(BIN) $(ETCINIT) $(VARCONF)
pushd $(SOURCE_DIR)/$(TUXBOX_PLUGINS)/tuxmail/daemon && \
$(TARGET)-gcc $(TARGET_CFLAGS) $(TARGET_LDFLAGS_RPATH) -I$(TARGETINCLUDE)/freetype2 -lssl -lcrypto -lpthread -lfreetype -lz $(CORTEX-STRINGS) -o $@ tuxmaild.c && \
install -m755 tuxmaild $(ETCINIT)/tuxmaild && \
install -m755 $(IMAGEFILES)/scripts/tuxmaild.init $(ETCINIT)/tuxmaild && \
cd $(ETCINIT) && \
ln -sf tuxmaild S99tuxmaild && \
ln -sf tuxmaild K01tuxmaild && \

8
skel-root/coolstream/hd1/etc/ifplugd/ifplugd.action

@ -2,9 +2,11 @@
#
# simplest possible ifplugd script ;-)
#
LOG="logger -t ${0##*/}"
. /et/init.d/globals
case $2 in
up) ifup $1 | $LOG ;;
down) ifdown $1 | $LOG ;;
up) ifup $1 | LOGINFO ;;
down) ifdown $1 | LOGINFO ;;
esac
true

11
skel-root/coolstream/hd1/etc/init.d/crond

@ -1,5 +1,7 @@
#!/bin/sh
. /etc/init.d/globals
case $1 in
start)
if [ -e /var/etc/.crond ]; then
@ -7,9 +9,10 @@ case $1 in
fi
;;
stop)
if [ -e /var/etc/.crond ]; then
trap "" INT
kill -INT $(pidof crond)
fi
trap "" INT
kill -INT $(pidof crond)
;;
*)
echo "[$BASENAME] Usage: $0 {start|stop}"
;;
esac

2
skel-root/coolstream/hd1/etc/init.d/emu

@ -268,5 +268,3 @@ case $1 in
EMU_Action $2
;;
esac
exit 0

2
skel-root/coolstream/hd1/etc/init.d/fstab

@ -193,5 +193,3 @@ case "$1" in
echo "[$BASENAME] Usage: $0 {start|start_netfs|stop_netfs|stop}"
;;
esac
exit 0

5
skel-root/coolstream/hd1/etc/init.d/hostname

@ -1,5 +1,7 @@
#!/bin/sh
. /etc/init.d/globals
case $1 in
start)
if [ ! -f /etc/hostname ]; then
@ -9,4 +11,7 @@ case $1 in
hostname -F /etc/hostname
;;
*)
echo "[$BASENAME] Usage: $0 {start}"
;;
esac

5
skel-root/coolstream/hd1/etc/init.d/inetd

@ -1,5 +1,7 @@
#!/bin/sh
. /etc/init.d/globals
case "$1" in
start)
/sbin/inetd
@ -16,4 +18,7 @@ case "$1" in
$0 stop
$0 start
;;
*)
echo "[$BASENAME] Usage: $0 {start|restart|reload|stop}"
;;
esac

17
skel-root/coolstream/hd1/etc/init.d/networking

@ -1,30 +1,29 @@
#!/bin/sh
# manage network interfaces and configure some networking options
. /etc/init.d/globals
case "$1" in
start)
echo -n "Configuring network interfaces... "
SHOWINFO "Configuring network ..."
ifup -a
if type ifplugd >/dev/null 2>&1; then
echo -n "Starting ifplugd... "
SHOWINFO "Starting ifplugd ..."
ifplugd -F -p -q
fi
echo "done."
;;
stop)
echo -n "Deconfiguring network interfaces... "
SHOWINFO "Deconfiguring network ..."
ifdown -a
if type ifplugd >/dev/null 2>&1; then
echo -n "Killing ifplugd... "
SHOWINFO "Killing ifplugd ..."
ifplugd -k
fi
echo "done."
;;
force-reload|restart)
$0 stop
$0 start
;;
*)
echo "[$BASENAME] Usage: $0 {start|restart|force-reload|stop}"
;;
esac
exit 0

3
skel-root/coolstream/hd1/etc/init.d/ntpdate

@ -11,4 +11,7 @@ case "$1" in
ntpdate ${ntpserver:-0.de.pool.ntp.org}
fi
;;
*)
echo "[$BASENAME] Usage: $0 {start}"
;;
esac

2
skel-root/coolstream/hd1/etc/init.d/oscamfix

@ -71,6 +71,6 @@ case "$1" in
test -e $FLAGFILE && touch $FLAGFILE
;;
*)
echo "[$BASENAME] Usage: $0 {start|stop}"
;;
esac
true

2
skel-root/coolstream/hd1/etc/init.d/sdX

@ -14,5 +14,3 @@ case $1 in
echo "[${BASENAME}] Usage: $0 {stop}"
;;
esac
exit 0

5
skel-root/coolstream/hd1/etc/init.d/syslogd

@ -4,6 +4,8 @@
# without options and without /var/log (!), syslogd will simply
# log to the console. If /var/log/ exists, it will log to /var/log/messages
. /etc/init.d/globals
case "$1" in
start)
/sbin/syslogd $SYSLOGD_OPTS
@ -15,4 +17,7 @@ case "$1" in
$0 stop
$0 start
;;
*)
echo "[$BASENAME] Usage: $0 {start|restart|stop}"
;;
esac

2
skel-root/coolstream/hd2/etc/init.d/coredump

@ -18,5 +18,3 @@ case $1 in
echo "[${BASENAME}] Usage: $0 {start}"
;;
esac
exit 0

11
skel-root/coolstream/hd2/etc/init.d/crond

@ -1,5 +1,7 @@
#!/bin/sh
. /etc/init.d/globals
case $1 in
start)
if [ -e /var/etc/.crond ]; then
@ -7,9 +9,10 @@ case $1 in
fi
;;
stop)
if [ -e /var/etc/.crond ]; then
trap "" INT
kill -INT $(pidof crond)
fi
trap "" INT
kill -INT $(pidof crond)
;;
*)
echo "[$BASENAME] Usage: $0 {start|stop}"
;;
esac

2
skel-root/coolstream/hd2/etc/init.d/emu

@ -268,5 +268,3 @@ case $1 in
EMU_Action $2
;;
esac
exit 0

2
skel-root/coolstream/hd2/etc/init.d/fstab

@ -193,5 +193,3 @@ case "$1" in
echo "[$BASENAME] Usage: $0 {start|start_netfs|stop_netfs|stop}"
;;
esac
exit 0

5
skel-root/coolstream/hd2/etc/init.d/hostname

@ -1,5 +1,7 @@
#!/bin/sh
. /etc/init.d/globals
case $1 in
start)
if [ ! -f /etc/hostname ]; then
@ -9,4 +11,7 @@ case $1 in
hostname -F /etc/hostname
;;
*)
echo "[$BASENAME] Usage: $0 {start}"
;;
esac

5
skel-root/coolstream/hd2/etc/init.d/inetd

@ -1,5 +1,7 @@
#!/bin/sh
. /etc/init.d/globals
case "$1" in
start)
/sbin/inetd
@ -16,4 +18,7 @@ case "$1" in
$0 stop
$0 start
;;
*)
echo "[$BASENAME] Usage: $0 {start|restart|reload|stop}"
;;
esac

13
skel-root/coolstream/hd2/etc/init.d/networking

@ -1,22 +1,21 @@
#!/bin/sh
# manage network interfaces and configure some networking options
. /etc/init.d/globals
case "$1" in
start)
echo -n "Configuring network interfaces... "
SHOWINFO "Configuring network ... "
ifup -a
echo "done."
;;
stop)
echo -n "Deconfiguring network interfaces... "
SOWINFO "Deconfiguring network ... "
ifdown -a
echo "done."
;;
force-reload|restart)
$0 stop
$0 start
;;
*)
echo "[$BASENAME] Usage: $0 {start|restart|force-reload|stop}"
;;
esac
exit 0

3
skel-root/coolstream/hd2/etc/init.d/ntpdate

@ -11,4 +11,7 @@ case "$1" in
ntpdate ${ntpserver:-0.de.pool.ntp.org}
fi
;;
*)
echo "[$BASENAME] Usage: $0 {start}"
;;
esac

2
skel-root/coolstream/hd2/etc/init.d/oscamfix

@ -71,6 +71,6 @@ case "$1" in
test -e $FLAGFILE && touch $FLAGFILE
;;
*)
echo "[$BASENAME] Usage: $0 {start|stop}"
;;
esac
true

2
skel-root/coolstream/hd2/etc/init.d/sdX

@ -14,5 +14,3 @@ case $1 in
echo "[${BASENAME}] Usage: $0 {stop}"
;;
esac
exit 0

5
skel-root/coolstream/hd2/etc/init.d/syslogd

@ -4,6 +4,8 @@
# without options and without /var/log (!), syslogd will simply
# log to the console. If /var/log/ exists, it will log to /var/log/messages
. /etc/init.d/globals
case "$1" in
start)
/sbin/syslogd $SYSLOGD_OPTS
@ -15,4 +17,7 @@ case "$1" in
$0 stop
$0 start
;;
*)
echo "[$BASENAME] Usage: $0 {start|restart|stop}"
;;
esac

Loading…
Cancel
Save